Description

IsPicked() method in BiVector is missing "const". GCC 4.7.0 complains about it - 4.6.x didn't for some reason :-)

In file included from /home/h/upp-production/uppsrc/Core/Core.h:273:0,

                 from /home/h/upp-production/uppsrc/Draw/Draw.h:6,

                 from /home/h/upp-production/uppsrc/RichText/RichText.h:4,

                 from /home/h/upp-production/uppsrc/CtrlCore/CtrlCore.h:4,

                 from /home/h/upp-production/uppsrc/CtrlLib/CtrlLib.h:4,

                 from /home/h/upp-production/uppsrc/CtrlLib/CtrlLib.icpp:1:

/home/h/upp-production/uppsrc/Core/BiCont.h: In member function ‘bool Upp::BiArray<T>::IsPicked() const’:

/home/h/upp-production/uppsrc/Core/BiCont.h:122:45: error: no matching function for call to ‘Upp::BiVector<void*>::IsPicked()

const’

/home/h/upp-production/uppsrc/Core/BiCont.h:122:45: note: candidate is:

In file included from /home/h/upp-production/uppsrc/Core/Core.h:273:0,

                 from /home/h/upp-production/uppsrc/Draw/Draw.h:6,

                 from /home/h/upp-production/uppsrc/RichText/RichText.h:4,

                 from /home/h/upp-production/uppsrc/CtrlCore/CtrlCore.h:4,

                 from /home/h/upp-production/uppsrc/CtrlLib/CtrlLib.h:4,

                 from /home/h/upp-production/uppsrc/CtrlLib/CtrlLib.icpp:1:

/home/h/upp-production/uppsrc/Core/BiCont.h:51:7: note: bool Upp::BiVector<T>::IsPicked() [with T = void*] <near match>

/home/h/upp-production/uppsrc/Core/BiCont.h:51:7: note:   no known conversion for implicit ‘this’ parameter from ‘const

Upp::BiVector<void*>*’ to ‘Upp::BiVector<void*>*’

History

#1 - 05/07/2012 08:38 PM - Jan Dolinár

- File BiCont.patch added

Seems like I forgot to attach the file...

#2 - 05/11/2012 03:29 PM - Miroslav Fidler

- Priority changed from High to Immediate

#3 - 05/12/2012 11:11 AM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee set to Jan Dolinár

#4 - 05/12/2012 02:42 PM - Jan Dolinár

- Status changed from Ready for QA to Approved

Works well, thank you!
Files

BiCont.patch 548 Bytes 05/07/2012 Jan Dolinár
